/* -- -- -- -- -- HEADER - DÉBUT -- -- -- -- -- */

.body:has(> .prestations) {
  overflow: hidden;
}

body > *.hero--expertise {
  position: relative;
  padding: 67px 30px;
  max-width: unset;
  margin-inline: unset;
  margin-top: 8px;
}

.hero--expertise > .wrapper {
  max-width: 1440px;
  margin-inline: auto;
}

.hero--expertise > .wrapper > .part {
  background-color: var(--color-primary);
  padding: 24px;
}

.hero--expertise > .wrapper > .part *:not(.btn) {
  color: var(--color-white);
}

.hero--expertise > .illustration {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  z-index: -1;
}

.hero--expertise > .wrapper > .part > .corps {
  margin-bottom: 18px;
}

@media (width > 767px) {
  .hero--expertise > .wrapper > .part {
    max-width: 480px;
  }
}

@media (width > 991px) {
  body > *.hero--expertise {
    display: flex;
    align-items: flex-end;
    margin-top: 13px;
    padding-block: 56px 45px;
    min-height: 60vh;
  }

  .hero--expertise > .wrapper {
    display: flex;
    width: 100%;
    justify-content: flex-start;
  }

  .hero--expertise > .wrapper > .part {
    padding: 52px;
  }

  .hero--expertise > .wrapper > .part > .corps {
    margin-bottom: 24px;
  }
}

/* -- -- -- -- -- HEADER - FIN -- -- -- -- -- */

/* -- -- -- -- -- PRESTATIONS - DÉBUT -- -- -- -- -- */

body > *.prestations {
  position: relative;
  padding: 119px 0px 24px 0px;
}

.prestations .mascot {
  position: absolute;
  left: -1px;
  top: -100px;
  width: 146px;
  aspect-ratio: 37/56;
}

.prestations .title {
  text-align: center;
  font-size: 1.625rem;
  line-height: 2rem;
  margin-bottom: 24px;
}

.prestation {
  border: 1px solid var(--color-primary);
  padding: 12px;
}

.prestation .name {
  font-size: 1.125rem;
  line-height: 1.375rem;
  text-transform: none;
  font-family: var(--ffSBo);
  margin-bottom: 8px;
}

.swiper--expertise {
  margin-inline: 30px;
  overflow: visible;
}

@media (width > 991px) {
  body > *.prestations {
    padding-block: 78px 0px;
  }

  .swiper--expertise > .wrapper {
    display: flex;
    gap: 20px;
    align-self: stretch;
    justify-content: space-between;
  }

  .prestation {
    height: auto;
    width: calc(33% - 20px);
    padding: 20px;
  }

  .prestations .title {
    font-size: 2.25rem;
    line-height: 2.5rem;
    margin-bottom: 32px;
  }

  .prestation .name {
    font-size: 1.125rem;
    line-height: 1.25rem;
  }

  .swiper--expertise .swiper-slide {
    margin-right: unset;
  }
}

@media (width > 1199px) {
  .prestations .mascot {
    width: 170px;
    top: -80px;
    left: -10px;
    z-index: 2;
  }
}

@media (width > 1439px) {
  body > *.prestations {
    max-width: unset;
    margin-inline: unset;
  }

  .prestations > .part {
    max-width: 1440px;
    margin-inline: auto;
  }
}

@media (width > 1499px) {
  .swiper--expertise {
    margin-inline: unset;
  }
}

/* -- -- -- -- -- PRESTATIONS - FIN -- -- -- -- -- */

/* -- -- -- -- -- CONTENUS STANDARDS MODIFIES - COMPONENT - DÉBUT -- -- -- -- -- */

@media (width > 991px) {
  .standard--modified.standard--expertise {
    padding-block: 76px 0px;
  }

  .standard--modified.standard--expertise:nth-child(2n) {
    flex-direction: row;
  }

  .standard--modified.standard--expertise:has(+ .footpart) {
    padding-block: 76px;
  }
}

/* -- -- -- -- -- CONTENUS STANDARDS MODIFIES - COMPONENT - FIN -- -- -- -- -- */

/* -- -- -- -- -- NOS RÉALISATIONS - DÉBUT -- -- -- -- -- */

.realisations {
  padding-block: 48px 18px;
}

.realisations .title {
  text-align: center;
  margin-bottom: 10px;
}

.realisations > .btn {
  margin-inline: auto;
  margin-bottom: 27px;
}

.swiper--articles {
  overflow: visible;
}

@media (width > 991px) {
  .realisations {
    padding-block: 76px;
  }

  .realisations .title {
    margin-bottom: 16px;
  }

  .realisations > .btn {
    margin-bottom: 40px;
  }

  .swiper--articles > .swiper-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 24px;
  }

  .swiper--articles > .swiper-wrapper:has(.swiper-slide:nth-child(3)) {
    justify-content: space-between;
    gap: unset;
  }

  .swiper--articles .swiper-slide {
    width: calc(33% - 20px);
  }
}
/* -- -- -- -- -- NOS RÉALISATIONS - FIN -- -- -- -- -- */

/* -- -- -- -- -- BAS DE PAGE - COMPONENT - DÉBUT -- -- -- -- -- */

/* -- -- -- -- -- BAS DE PAGE - COMPONENT - FIN -- -- -- -- -- */
